Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class Clash

    java.lang.Object
      org.mindswap.pellet.Clash

    public class Clash

extends java.lang.Object

Field Summary
`static int` | `MIN_MAX`
`static int` | `NOMINAL`

Method Summary
`static Clash` | `atomic(Node node, DependencySet depends)`
`static Clash` | `atomic(Node node, DependencySet depends, aterm.ATermAppl c)`
`java.lang.String` | `atomicExplanation()`
`java.lang.String` | `describeNode(Node node)`
`java.lang.String` | `detailedString()`
`static Clash` | `emptyDatatype(Node node, DependencySet depends)`
`static Clash` | `emptyDatatype(Node node, DependencySet depends, aterm.ATermAppl[] datatypes)`
`java.lang.String` | `emptyDatatypeExplanation()`
`static Clash` | `functionalCardinality(Node node, DependencySet depends)`
`static Clash` | `functionalCardinality(Node node, DependencySet depends, aterm.ATermAppl r)`
`java.lang.String` | `functionalCardinalityExplanation()`
`static Clash` | `invalidLiteral(Node node, DependencySet depends)`
`static Clash` | `invalidLiteral(Node node, DependencySet depends, aterm.ATermAppl value)`
`java.lang.String` | `invalidLiteralExplanation()`
`boolean` | `isAtomic()`
`static Clash` | `maxCardinality(Node node, DependencySet depends)`
`static Clash` | `maxCardinality(Node node, DependencySet depends, aterm.ATermAppl r, int n)`
`java.lang.String` | `maxCardinalityExplanation()`
`static Clash` | `missingDatatype(Node node, DependencySet depends)`
`static Clash` | `missingDatatype(Node node, DependencySet depends, aterm.ATermAppl value, aterm.ATermAppl datatype)`
`java.lang.String` | `missingDatatypeExplanation()`
`static Clash` | `nominal(Node node, DependencySet depends)`
`static Clash` | `nominal(Node node, DependencySet depends, aterm.ATermAppl other)`
`java.lang.String` | `nominalExplanation()`
`java.lang.String` | `toString()`
`static Clash` | `unexplained(Node node, DependencySet depends)`
`static Clash` | `unexplained(Node node, DependencySet depends, java.lang.String msg)`
`static Clash` | `valueDatatype(Node node, DependencySet depends)`
`static Clash` | `valueDatatype(Node node, DependencySet depends, aterm.ATermAppl value, aterm.ATermAppl datatype)`
`java.lang.String` | `valueDatatypeExplanation()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_MAX

    public static final int MIN_MAX

See Also:
  Constant Field Values

### NOMINAL

    public static final int NOMINAL

See Also:
  Constant Field Values

Method Detail

### isAtomic

    public boolean isAtomic()

### unexplained

    public static Clash unexplained(Node node,
                                    DependencySet depends)

### unexplained

    public static Clash unexplained(Node node,
                                    DependencySet depends,
                                    java.lang.String msg)

### atomic

    public static Clash atomic(Node node,
                               DependencySet depends)

### atomic

    public static Clash atomic(Node node,
                               DependencySet depends,
                               aterm.ATermAppl c)

### maxCardinality

    public static Clash maxCardinality(Node node,
                                       DependencySet depends)

### maxCardinality

    public static Clash maxCardinality(Node node,
                                       DependencySet depends,
                                       aterm.ATermAppl r,
                                       int n)

### functionalCardinality

    public static Clash functionalCardinality(Node node,
                                              DependencySet depends)

### functionalCardinality

    public static Clash functionalCardinality(Node node,
                                              DependencySet depends,
                                              aterm.ATermAppl r)

### missingDatatype

    public static Clash missingDatatype(Node node,
                                        DependencySet depends)

### missingDatatype

    public static Clash missingDatatype(Node node,
                                        DependencySet depends,
                                        aterm.ATermAppl value,
                                        aterm.ATermAppl datatype)

### nominal

    public static Clash nominal(Node node,
                                DependencySet depends)

### nominal

    public static Clash nominal(Node node,
                                DependencySet depends,
                                aterm.ATermAppl other)

### valueDatatype

    public static Clash valueDatatype(Node node,
                                      DependencySet depends)

### valueDatatype

    public static Clash valueDatatype(Node node,
                                      DependencySet depends,
                                      aterm.ATermAppl value,
                                      aterm.ATermAppl datatype)

### emptyDatatype

    public static Clash emptyDatatype(Node node,
                                      DependencySet depends)

### emptyDatatype

    public static Clash emptyDatatype(Node node,
                                      DependencySet depends,
                                      aterm.ATermAppl[] datatypes)

### invalidLiteral

    public static Clash invalidLiteral(Node node,
                                       DependencySet depends)

### invalidLiteral

    public static Clash invalidLiteral(Node node,
                                       DependencySet depends,
                                       aterm.ATermAppl value)

### detailedString

    public java.lang.String detailedString()

### describeNode

    public java.lang.String describeNode(Node node)

### atomicExplanation

    public java.lang.String atomicExplanation()

### maxCardinalityExplanation

    public java.lang.String maxCardinalityExplanation()

### functionalCardinalityExplanation

    public java.lang.String functionalCardinalityExplanation()

### missingDatatypeExplanation

    public java.lang.String missingDatatypeExplanation()

### nominalExplanation

    public java.lang.String nominalExplanation()

### valueDatatypeExplanation

    public java.lang.String valueDatatypeExplanation()

### emptyDatatypeExplanation

    public java.lang.String emptyDatatypeExplanation()

### invalidLiteralExplanation

    public java.lang.String invalidLiteralExplanation()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.